[yocto] [meta-cgl][PATCH] ocfs2-tools: uppgrade from 1.8.4 to 1.8.5

Lei Maohui leimaohui at cn.fujitsu.com
Tue May 15 15:33:03 PDT 2018


Signed-off-by: Lei Maohui <leimaohui at cn.fujitsu.com>
---
 .../distro/include/cgl_common_security_flags.inc   |  4 +++
 .../disable-ocfs2-stack-user-support.patch         | 42 ----------------------
 .../ocfs2-tools-1.8.5-format-fortify.patch         | 13 +++++++
 .../{ocfs2-tools_1.8.4.bb => ocfs2-tools_1.8.5.bb} |  8 ++---
 4 files changed, 21 insertions(+), 46 deletions(-)
 delete mode 100644 meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/disable-ocfs2-stack-user-support.patch
 create mode 100644 meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/ocfs2-tools-1.8.5-format-fortify.patch
 rename meta-cgl-common/recipes-cgl/ocfs2-tools/{ocfs2-tools_1.8.4.bb => ocfs2-tools_1.8.5.bb} (94%)

diff --git a/meta-cgl-common/conf/distro/include/cgl_common_security_flags.inc b/meta-cgl-common/conf/distro/include/cgl_common_security_flags.inc
index 42c612c..a2f9857 100644
--- a/meta-cgl-common/conf/distro/include/cgl_common_security_flags.inc
+++ b/meta-cgl-common/conf/distro/include/cgl_common_security_flags.inc
@@ -1 +1,5 @@
 SECURITY_LDFLAGS_remove_pn-audit = "-fstack-protector-strong"
+
+SECURITY_CFLAGS_pn-ocfs2-tools = "${SECURITY_NOPIE_CFLAGS}"
+SECURITY_LDFLAGS_pn-ocfs2-tools = ""
+
diff --git a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/disable-ocfs2-stack-user-support.patch b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/disable-ocfs2-stack-user-support.patch
deleted file mode 100644
index 8d92f0c..0000000
--- a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/disable-ocfs2-stack-user-support.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-Only support stack 'o2cb' in init script o2cb.
-
-Source file /etc/init.d/functions rather than /lib/lsb/init-functions which
-doesn't exist in wrlinux.  /etc/init.d/functions provides functions killproc
-and pidofproc, and doesn't provides function start_daemon. It doesn't matter
-that start_daemon is used by stack 'user' only.
-
-Upstream-Status: Pending
-
-Signed-off-by: Kai Kang <kai.kang at windriver.com>
----
-diff --git a/vendor/common/o2cb.init.sh b/vendor/common/o2cb.init.sh
-index 2e73108..926e61e 100755
---- a/vendor/common/o2cb.init.sh
-+++ b/vendor/common/o2cb.init.sh
-@@ -18,11 +18,11 @@
- # Force LC_ALL=C
- export LC_ALL=C
- 
--# Let's try to use the LSB functions
--. /lib/lsb/init-functions
-+# Let's try to use the init scripts functions
-+. /etc/init.d/functions
- if [ $? != 0 ]
- then
--    echo "Unable to load LSB init functions" >&2
-+    echo "Unable to load init scripts functions" >&2
-     exit 1
- fi
- 
-@@ -72,6 +72,11 @@ VERSION=@@VERSION@@
- # Need this default
- [ -z "$O2CB_STACK" ] && O2CB_STACK=o2cb
- 
-+if [ "$O2CB_STACK" != "o2cb" ]; then
-+    echo "Invalid cluster stack name \"$O2CB_STACK\""
-+    exit 1
-+fi
-+
- configfs_path()
- {
-     # Note that this is only valid *after* configfs is loaded
diff --git a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/ocfs2-tools-1.8.5-format-fortify.patch b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/ocfs2-tools-1.8.5-format-fortify.patch
new file mode 100644
index 0000000..f8ab313
--- /dev/null
+++ b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools/ocfs2-tools-1.8.5-format-fortify.patch
@@ -0,0 +1,13 @@
+diff --git a/tunefs.ocfs2/op_query.c b/tunefs.ocfs2/op_query.c
+index 295c185b..40394d15 100644
+--- a/tunefs.ocfs2/op_query.c
++++ b/tunefs.ocfs2/op_query.c
+@@ -339,7 +339,7 @@ static int query_run(struct tunefs_operation *op, ocfs2_filesys *fs,
+ 	register_printf_function('O', handle_ro_compat, handle_arginfo);
+ 
+ 	query_fs = fs;
+-	fprintf(stdout, fmt);
++	fprintf(stdout, fmt, "dummy");
+ 	query_fs = NULL;
+ 
+ 	ocfs2_free(&fmt);
diff --git a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.4.bb b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.5.bb
similarity index 94%
rename from meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.4.bb
rename to meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.5.bb
index 9098fbf..946423e 100644
--- a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.4.bb
+++ b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.5.bb
@@ -12,19 +12,19 @@ SECTION = "System Environment/Base"
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"
 
-SRC_URI = "git://oss.oracle.com/git/ocfs2-tools.git \
+SRC_URI = "git://github.com/markfasheh/ocfs2-tools \
     file://0003-vendor-common-o2cb.ocf-add-new-conf-file.patch \
-    file://disable-ocfs2-stack-user-support.patch \
     file://ocfs2-fix-compile-error-when-glibc-upgrade.patch \
+    file://ocfs2-tools-1.8.5-format-fortify.patch \
     file://o2cb.service \
     file://ocfs2.service \
 "
-SRCREV = "0b8be47d61dbdcd08d21c83f0b3993735b884ef9"
+SRCREV = "f1b4d073f08679f97b64b3eb88e586032f92a701"
 S = "${WORKDIR}/git"
 
 inherit autotools-brokensep pkgconfig systemd
 
-DEPENDS = "corosync cluster-glue openais pacemaker \
+DEPENDS = "corosync pacemaker \
     libxml2 linux-libc-headers libaio \
     e2fsprogs e2fsprogs-native \
 "
-- 
1.9.1





More information about the yocto mailing list